using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ScoreManager : MonoBehaviour {
    public int scorePerTouch = 5;
    int score = 0;

    public void Awake()
    {
        Observer.neutralTouchedHandler += OnScoreUp;
        Observer.bonusTouchedHandler += OnScoreUp;
    }

    void OnScoreUp(NPC npc)
    {
        score += scorePerTouch;
        Observer.OnScoreChange(this.score);
    }
}
